package org.firstinspires.ftc.teamcode.subsystem;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class AutoLine1 {

    private Pose startPose = new Pose(36, 72);

    public void moveToPath1(Follower robot) {
        PathChain pathChain;
        robot.setStartingPose(startPose);
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        new BezierCurve(
                                new Point(36.000, 72.000, Point.CARTESIAN),
                                new Point(37.500, 72.000, Point.CARTESIAN)
                        )
                );
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

