package org.firstinspires.ftc.teamcode.subsystem;

import androidx.annotation.NonNull;

import com.acmerobotics.dashboard.telemetry.TelemetryPacket;
import com.acmerobotics.roadrunner.Action;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class AutoLine2 {


    private PathChain pathChain;

    private PathChain goToStore;

    private Pose startPose = new Pose(37.5, 72);

    public AutoLine2(Follower robot) {
        robot.setStartingPose(startPose);
        pathChain  = robot.pathBuilder().addPath(
                new BezierLine(
                        new Point(37.500, 72.000, Point.CARTESIAN),
                        new Point(36.000, 72.000, Point.CARTESIAN)
                )
        ).setConstantHeadingInterpolation(Math.toRadians(0)).build();
        robot.followPath(pathChain);
    }
}


