package org.firstinspires.ftc.teamcode.subsystem;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class AutoPark {


    public void moveToPark(Follower robot) {
        PathChain pathChain;
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        new BezierCurve(
                                new Point(18.000, 126.000, Point.CARTESIAN),
                                new Point(85.000, 132.750, Point.CARTESIAN),
                                new Point(84.000, 97.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(135), Math.toRadians(135));
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

