package org.firstinspires.ftc.teamcode.subsystem;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class HighBasketAutoPath1 {

    private final Pose startPose = new Pose(8, 89);

    public void moveToPath1(Follower robot) {
        PathChain pathChain;
        robot.setStartingPose(startPose);
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        new BezierCurve(
                                new Point(8.000, 89.000, Point.CARTESIAN),
                                new Point(24.000, 96.000, Point.CARTESIAN),
                                new Point(18.000, 126.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(0), Math.toRadians(135)).build();
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

