package org.firstinspires.ftc.teamcode.subsystem;

import static org.firstinspires.ftc.teamcode.PedroConstants.LEFT_ENCODER;
import static org.firstinspires.ftc.teamcode.PedroConstants.SKYHOOK_NAME;
import static org.firstinspires.ftc.teamcode.configs.RobotConstants.liftPower;

import com.acmerobotics.roadrunner.Action;
import com.qualcomm.robotcore.hardware.DcMotor;
import com.qualcomm.robotcore.hardware.DcMotorEx;
import com.qualcomm.robotcore.hardware.DcMotorSimple;
import com.qualcomm.robotcore.hardware.HardwareMap;

import org.firstinspires.ftc.teamcode.pedroPathing.localization.Encoder;

public class SkyHookSubsystem {

    public DcMotorEx hook;

    public SkyHookSubsystem(HardwareMap hardwareMap) {
        hook = hardwareMap.get(DcMotorEx.class, SKYHOOK_NAME);

    }

    public void moveSkyHook(int position){
        hook.setTargetPosition(position);
        hook.setMode(DcMotor.RunMode.RUN_TO_POSITION);
    }

    public void moveSkyHook(double power) {
        hook.setMode(DcMotor.RunMode.RUN_WITHOUT_ENCODER);
        hook.setPower(power);
    }

    public void init() {
        hook.setPower(0);
        hook.setMode(DcMotor.RunMode.RUN_TO_POSITION);
        hook.setTargetPosition(0);
    }

    public void toParkPosition() {
        moveSkyHook(0);
    }

    public void toLevel1Position() {
        moveSkyHook(1500);
    }

    public int getHookPosition() {
        return hook.getCurrentPosition();
    }

}
